Connections
Get a connection
Retrieves the specified connection and its configuration details without including credential values.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Параметры пути
name
string
обязательно
The friendly name of the connection, provided by the user.
Параметры заголовка
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Ответы
The request has succeeded.
Заголовки
x-ms-client-request-id
string
An opaque, globally-unique, client-generated string identifier for the request.
Текст
name
string
обязательно
The friendly name of the connection, provided by the user.
id
string
обязательно
A unique identifier for the connection, generated by the service
type
string | enum
обязательно
The Type (or category) of the connection
enum
target
string
обязательно
The connection URL to be used for this service
isDefault
boolean
обязательно
Whether the connection is tagged as the default connection of its type
credentials
ApiKey | AAD | CustomKeys | SAS | None | AgenticIdentityToken_Preview
обязательно
A base class for connection credentials
ApiKey
ApiKeyCredentials
API Key Credential definition
type
enum
обязательно
The credential type
key
string
API Key
AAD
EntraIDCredentials
Entra ID credential definition
type
enum
обязательно
The credential type
CustomKeys
CustomCredential
Custom credential definition
type
enum
обязательно
The credential type
SAS
SASCredentials
Shared Access Signature (SAS) credential definition
type
enum
обязательно
The credential type
SAS
string
SAS token
None
NoAuthenticationCredentials
Credentials that do not require authentication
type
enum
обязательно
The credential type
AgenticIdentityToken_Preview
AgenticIdentityPreviewCredentials
Agentic identity credential definition
type
enum
обязательно
The credential type
metadata
object
обязательно
Metadata of the connection
Запрос
GET /connections/{name} HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json